// Enable styling body background while using vue hotreload
// Tags with side effect (<script> and <style>) are ignored in client component templates.

const backgrounds = new Map();
//backgrounds.set('default', "linear-gradient(#738ef2, white)");
//backgrounds.set('default', "linear-gradient(rgba(115, 142, 242, 0.9), white)");
backgrounds.set('default', "white");
backgrounds.set('/', "url(/static/radiocampus/backgrounds/photo-04-20.jpg) no-repeat center center fixed");
backgrounds.set('/podcasts/', "url(/static/radiocampus/backgrounds/photo-04-20.jpg) no-repeat center center fixed");


class BackgroundLoad {
    constructor () {
        let url = new URL(document.location);
        this.path = url.pathname;
        this.update();
        document.addEventListener("pageLoaded", this.handlePageLoad.bind(this), false);
    }

    handlePageLoad (e) {
        this.path = e.detail;
        this.update();
    }

    update () {
        let background = backgrounds.get(this.path) || backgrounds.get("default");
        //let target = document.getElementsByClassName("page")[0];
        let target = document.body;
        target.style.background = background;
        //document.body.
        target.style.backgroundSize = "cover";
    }
}
window.onload = function() {
    let backgroundLoad = new BackgroundLoad();
}
